User search is case sensitive
2011-07-15 09:18 - Sergey M

Status: Closed Start date: 2011-07-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Search engine Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version: 1.2.1

Description
Filter in create user page (/users) generate SQL like:

SELECT * FROM "users" WHERE (1=1 AND (status = 1) AND (LOWER(login) LIKE '$&BukTop%' OR LOWER (first
name) LIKE '$BukTop%' OR LOWER (lastname) LIKE '$BuxTtop$%' OR LOWER(mail) LIKE 'S$Buktop%')) AND ( ("
users"."type" = 'User' OR "users"."type" = 'AnonymousUser' ) ) ORDER BY login LIMIT 25 OFFSET O
As result i got nothing, because

LOWER (firstname) LIKE '$Buxktop$'

does't return anything.

Imho it must used llike or what sense in lower()? Or add comment to search field.

History

#1 - 2011-07-15 12:05 - Etienne Massip

Must be a Ruby 1.8 unicode issue.

#2 - 2012-12-18 07:47 - Daniel Felix

Any news on this issue?

#3 - 2013-02-14 23:11 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

This was fixed some time ago. User.like scope would now use LOWER(firstname) LIKE LOWER('%BukTop%')
